## org.eclipse.datatools.sqltools.editor.template
Interface TemplateConstant

All Known Implementing Classes:
  SQLTemplate

    public interface TemplateConstant

Author:
  lihuang

Field Summary
`static java.lang.String` `AND`
`static java.lang.String` `ASTERISK`
`static java.lang.String` `BEGIN`
`static java.lang.String` `COMMA`
`static java.lang.String` `DECLARE`
`static java.lang.String` `DELETE`
`static java.lang.String` `DOT`
`static java.lang.String` `DOUBLE_QUOTE`
`static java.lang.String` `END`
`static java.lang.String` `EQUAL`
`static java.lang.String` `EXECUTE`
`static java.lang.String` `FROM`
`static java.lang.String` `INSERT`
`static java.lang.String` `INT`
`static java.lang.String` `INTELLIGENT_TEMPLATE`
`static java.lang.String` `LEFT_PARENTHESIS`
`static java.lang.String` `NEWLINE`
`static int` `NEWLINENUMBER`
`static java.lang.String` `OUTPUT`
`static java.lang.String` `RIGHT_PARENTHESIS`
`static java.lang.String` `SELECT`
`static java.lang.String` `SEMICOLON`
`static java.lang.String` `SET`
`static java.lang.String` `SPACE`
`static java.lang.String` `TAB`
`static java.lang.String` `UPDATE`
`static int` `UPDATELINENUMBER`
`static java.lang.String` `VALUES`
`static java.lang.String` `VAR`
`static java.lang.String` `WHERE`

Field Detail

### SPACE

    static final java.lang.String SPACE

See Also:
  Constant Field Values

### NEWLINE

    static final java.lang.String NEWLINE

### SELECT

    static final java.lang.String SELECT

See Also:
  Constant Field Values

### COMMA

    static final java.lang.String COMMA

See Also:
  Constant Field Values

### ASTERISK

    static final java.lang.String ASTERISK

See Also:
  Constant Field Values

### FROM

    static final java.lang.String FROM

See Also:
  Constant Field Values

### WHERE

    static final java.lang.String WHERE

See Also:
  Constant Field Values

### EQUAL

    static final java.lang.String EQUAL

See Also:
  Constant Field Values

### INSERT

    static final java.lang.String INSERT

See Also:
  Constant Field Values

### LEFT_PARENTHESIS

    static final java.lang.String LEFT_PARENTHESIS

See Also:
  Constant Field Values

### RIGHT_PARENTHESIS

    static final java.lang.String RIGHT_PARENTHESIS

See Also:
  Constant Field Values

### VALUES

    static final java.lang.String VALUES

See Also:
  Constant Field Values

### DECLARE

    static final java.lang.String DECLARE

See Also:
  Constant Field Values

### UPDATE

    static final java.lang.String UPDATE

See Also:
  Constant Field Values

### SET

    static final java.lang.String SET

See Also:
  Constant Field Values

### DELETE

    static final java.lang.String DELETE

See Also:
  Constant Field Values

### AND

    static final java.lang.String AND

See Also:
  Constant Field Values

### EXECUTE

    static final java.lang.String EXECUTE

See Also:
  Constant Field Values

### INT

    static final java.lang.String INT

See Also:
  Constant Field Values

### DOT

    static final java.lang.String DOT

See Also:
  Constant Field Values

### BEGIN

    static final java.lang.String BEGIN

See Also:
  Constant Field Values

### END

    static final java.lang.String END

See Also:
  Constant Field Values

### SEMICOLON

    static final java.lang.String SEMICOLON

See Also:
  Constant Field Values

### TAB

    static final java.lang.String TAB

See Also:
  Constant Field Values

### OUTPUT

    static final java.lang.String OUTPUT

See Also:
  Constant Field Values

### VAR

    static final java.lang.String VAR

See Also:
  Constant Field Values

### DOUBLE_QUOTE

    static final java.lang.String DOUBLE_QUOTE

See Also:
  Constant Field Values

### NEWLINENUMBER

    static final int NEWLINENUMBER

See Also:
  Constant Field Values

### UPDATELINENUMBER

    static final int UPDATELINENUMBER

See Also:
  Constant Field Values

### INTELLIGENT_TEMPLATE

    static final java.lang.String INTELLIGENT_TEMPLATE

See Also:
  Constant Field Values

Copyright © 2006 -- 2008 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.